Name:    xmlstarlet
Version: 1.3.1
Release: %mkrel 1
Summary: Command Line XML Toolkit
Group:   Text tools
License: MIT
URL: http://xmlstar.sourceforge.net/
Source0: http://downloads.sourceforge.net/xmlstar/%{name}-%{version}.tar.gz
Patch0: xmlstarlet-1.0.6-gendoc.patch
# http://sourceforge.net/tracker/?func=detail&aid=3266898&group_id=66612&atid=515106

BuildRequires: xmlto automake autoconf libxslt-devel
BuildRequires: libxml2-devel >= 2.6.23
BuildRequires: docbook-style-xsl

%description
XMLStarlet is a set of command line utilities which can be used
to transform, query, validate, and edit XML documents and files
using simple set of shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff, patch, join, etc
commands.

%prep
%setup -q
%patch0 -p1 -b .gendoc


%build
autoreconf -i
%configure --disable-static-libs --with-libxml-include-prefix=%{_includedir}/libxml2 # --libdir=%{_libdir}
make %{?_smp_mflags}
cd $RPM_BUILD_DIR/%{name}-%{version}/doc
xmlto man xmlstarlet-man.xml
xmlto html-nochunks xmlstarlet-ug.xml
./gen-doc > xmlstarlet.txt

%install
rm -fr %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
# Avoid name kludging in autotools
mv $RPM_BUILD_ROOT%{_bindir}/xml $RPM_BUILD_ROOT%{_bindir}/xmlstarlet

%check
make check

%clean
rm -fr %{buildroot}

%files
%doc AUTHORS ChangeLog NEWS README Copyright TODO doc/xmlstarlet.txt doc/xmlstarlet-ug.html
%{_mandir}/man1/xmlstarlet.1*
%{_bindir}/xmlstarlet


%changelog

* Tue Mar 06 2012 tmb <tmb> 1.3.1-1.mga2
+ Revision: 220550
- BR docbook-style-xsl
- fix group
- clean spec
- import from fedora

